import java.awt.Color;
import java.awt.Component;
import java.awt.Font;

import javax.swing.BorderFactory;
import javax.swing.JLabel;
import javax.swing.JList;
import javax.swing.ListCellRenderer;

class MyCellRenderer extends JLabel implements ListCellRenderer 
{
	public MyCellRenderer () 
	{
		// Don't paint behind the component
		setOpaque(true);
	}
	
	// Set the attributes of the class and return a reference
	public Component getListCellRendererComponent(JList list,Object value,int index,boolean iss,boolean chf)
	{
		
		setText(((ListItem)value).getValue());
		setBackground(((ListItem)value).getColor());
		
		setFont(new Font("Arial",Font.PLAIN,12));
		
		 if (iss)
		 {
			 setBackground(new Color(206,218,227));
            setBorder(BorderFactory.createLineBorder(new Color(206,218,227),1));
         }
		 else
		 {
			 setBorder(BorderFactory.createMatteBorder(0,0,1,0,new Color(240,240,240)));//top-left-bottom-right
         }
		 return this;
	}
}
